Page MenuHomeFreeBSD

Defer startup of gjournal switcher kproc.
ClosedPublic

Authored by jhb on Nov 18 2016, 11:55 PM.

Details

Summary

Defer startup of gjournal switcher kproc.

Don't start switcher kproc until the first GEOM is created. This fixes
a panic with EARLY_AP_STARTUP since the switcher kproc tries to use
sleeps with timeouts.

Test Plan
  • booted a kernel with EARLY_AP_STARTUP and GEOM_JOURNAL

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb updated this revision to Diff 22338.Nov 18 2016, 11:55 PM
jhb retitled this revision from to Defer startup of gjournal switcher kproc..
jhb updated this object.
jhb edited the test plan for this revision. (Show Details)
jhb added a reviewer: pjd.
jhb updated this revision to Diff 22448.Nov 22 2016, 10:45 PM
  • Remove unused variable and fix a comment.
pjd accepted this revision.Feb 3 2017, 9:26 PM
pjd edited edge metadata.
This revision is now accepted and ready to land.Feb 3 2017, 9:26 PM
This revision was automatically updated to reflect the committed changes.